org.apache.ignite.internal.util.future

## Class IgniteFinishedFutureImplEx<V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.IgniteFutureImpl<V>
  - - org.apache.ignite.internal.util.future.IgniteFinishedFutureImplEx<V>

All Implemented Interfaces:
  Future<V>, IgniteFuture<V>

    public class IgniteFinishedFutureImplEx<V>
    extends IgniteFutureImpl<V>

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`fut`

### Constructor Summary

Constructors
Constructor and Description
`IgniteFinishedFutureImplEx(V res)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`cancel, cancel, chain, concurrentNotify, concurrentNotify, duration, get, get, get, internalFuture, isCancelled, isDone, listenAsync, startTime, stopListenAsync, syncNotify, syncNotify, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteFinishedFutureImplEx

    public IgniteFinishedFutureImplEx(V res)

Parameters:
  `res` - Object res.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015